KSET_CREATE_AND_ADD(9)

NAME
kset_create_and_add - create a struct kset dynamically and add it to sysfs

SYNOPSIS

struct kset * kset_create_and_add(const char * name, const struct kset_uevent_ops * uevent_ops, struct kobject * parent_kobj);

ARGUMENTS

name
    the name for the kset

uevent_ops
    a struct kset_uevent_ops for the kset

parent_kobj
    the parent kobject of this kset, if any.

DESCRIPTION

This function creates a kset structure dynamically and registers it with sysfs. When you are finished with this structure, call kset_unregister and the structure will be dynamically freed when it is no longer being used.

If the kset was not able to be created, NULL will be returned.

COPYRIGHT